import * as _babel_core from '@babel/core';
import { TransformOptions } from '@babel/core';
import { Plugin } from 'vite';

interface PluginBabelCompilerOptions {
    babel: TransformOptions;
    apply: Plugin['apply'];
}
declare function transform(code: string, rawOptions: TransformOptions & {
    name: string;
    filename: string;
}): _babel_core.BabelFileResult | null;
declare function PluginDecorator(rawOptions: PluginBabelCompilerOptions): Plugin;

export { PluginBabelCompilerOptions, PluginDecorator as default, transform };
